/*-
 * Copyright (C)2019..2020 @BABOLO http://www.babolo.ru/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: xml2pg.h,v 1.5 2020/02/24 19:13:16 babolo Exp $
 */

#define XML2PG_TYNUM XML_DOCB_DOCUMENT_NODE
#define XML2PG_CONTN (XML2PG_TYNUM + 1)
#define XML2PG_ATNUM XML_ATTRIBUTE_NOTATION
#define XML2PG_FLIST 124

typedef struct {
    BLIN_flag  flags;
#       define XML2PG_DUMP    0x000100
#       define XML2PG_DUUP /* 0x000200 */ (XML2PG_DUMP << 1)
#       define XML2PG_FULL    0x000400
#       define XML2PG_FUUL /* 0x000800 */ (XML2PG_FULL << 1)
#       define XML2PG_COPY    0x001000
#       define XML2PG_COPZ /* 0x002000 */ (XML2PG_COPY << 1)
#       define XML2PG_SHFT    0x020000
#       define XML2PG_NAME    0x040000
#       define XML2PG_BLNK    0x080000
    BLIN_flag  subflags;
    xmlDoc    *xdoc;
} xml2pg_cf;

int   xml2pg_dump  __P((xml2pg_cf *options, void *x, int ex, int exx, int shift));
char *xml2pg_namec __P((xml2pg_cf *options, int namet, int nameo));
char *xml2pg_namex __P((xml2pg_cf *options, int name));
char *xml2pg_namef __P((xml2pg_cf *options, int name));
char *xml2pg_namea __P((xml2pg_cf *options, int name));
char *xml2pg_namee __P((xml2pg_cf *options, int name));
